<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>修改密码</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
   <style type="text/css">
        .input {
            width: 70%;
            border-radius: 2px;
            height: 30px;
            border-width: 1px;
            border-color: lightgray;
            border-style: solid;
            background-color: white;
            padding-left: 3px;
            margin-top: 20px;
        }
    </style>
</head>
<body>

  <div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
            <form class="layui-form" action="" lay-filter="component-form-element">
              <div class="layui-row layui-col-space10 layui-form-item">
                 <div>
                    <label >销管佳对接：</label>
                      <input type="checkbox" name="abutment_xgj" lay-skin="switch" lay-text="是|否" >
                </div>
                <div>
                    <label >销管佳地址：</label>
                    <input type="text" name="xgj_ip" autocomplete="off" class="input">
                </div>
                  <div>
                    <label >销管佳密钥：</label>
                    <input type="text" name="xgj_session_key"  autocomplete="off" class="input">
                </div>
                 <div>
                  <label><font color='red' size="4">*</font>小程序appid：</label>
                  <input type="text" name="wechat_appid" lay-verify="required" autocomplete="off" class="input">
                </div>
                <div>
                    <label ><font color='red' size="4">*</font>小程序密钥：</label>
                    <input type="text" name="wechat_session_key" lay-verify="required" autocomplete="off" class="input">
                </div>
                <div class="layui-input-block">
                  <button class="layui-btn" lay-submit lay-filter="component-form-element">保存</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
  }).use(['index', 'form', 'utils'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,element = layui.element
    ,form = layui.form;
    form.render(null, 'component-form-element');
    element.render('breadcrumb', 'breadcrumb');

    admin.req({
        url: '/foundation/config/',
        done: function (res) {
            var data = res.data;
            var edit_data = {};
            for(var i in data) {
                if (data[i].property === 'wechat_appid'){
                    edit_data['wechat_appid'] = data[i].value;
                }else if (data[i].property === 'wechat_session_key') {
                    edit_data['wechat_session_key'] = data[i].value;
                }else if (data[i].property === 'abutment_xgj'){
                    if (data[i].value == 'true') {
                        edit_data['abutment_xgj'] = true
                    }else {
                        edit_data['abutment_xgj'] = false
                    }
                }else if(data[i].property === 'xgj_session_key'){
                    edit_data['xgj_session_key'] = data[i].value
                }else if(data[i].property === 'xgj_ip'){
                    edit_data['xgj_ip'] = data[i].value
                }
            }
            form.val("component-form-element", edit_data);
            form.render();
        }
    });

    form.on('submit(component-form-element)', function(data){
      var save_data = [];
      if (data.field['wechat_appid']){
          save_data.push({key: 'wechat_appid', value: data.field['wechat_appid']})
      }
      if (data.field['wechat_session_key']){
          save_data.push({key: 'wechat_session_key', value: data.field['wechat_session_key']})
      }
      if (data.field['abutment_xgj']){
          save_data.push({key: 'abutment_xgj',  value: 'true'});
      }else{
           save_data.push({key: 'abutment_xgj',  value: 'false'})
      }
      if (data.field['xgj_session_key']){
          save_data.push({key: 'xgj_session_key',  value: data.field['xgj_session_key']})
      }
      if (data.field['xgj_ip']){
          save_data.push({key: 'xgj_ip',  value: data.field['xgj_ip']})
      }
      admin.req({
        url: '/foundation/config/'
        ,data: {data: JSON.stringify(save_data)}
        ,type: 'post'
        ,done: function(res){
            layer.open({
                 type: 1
                ,content: '<div style="padding: 20px 100px;">保存成功</div>'
                ,btn: '关闭'
                ,btnAlign: 'c' //按钮居中
                ,shade: 0 //不显示遮罩
                ,yes: function(){
                  layer.closeAll();
                  //admin.exit();
                }
            });
        }
      });

      return false;
    });

  });
  </script>
</body>
</html>